<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Function1Arg (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Function1Arg (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Function1Arg.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Function0Arg.html"
               title="interface in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Function2Arg.html"
               title="interface in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/Function1Arg.html" target="_top">Frames</a>
        </li>
        <li><a href="Function1Arg.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula.functions</div>
    <h2 title="Interface Function1Arg" class="title">Interface Function1Arg</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                           title="interface in org.apache.poi.ss.formula.functions">Function</a></dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/functions/Bin2Dec.html"
                           title="class in org.apache.poi.ss.formula.functions">Bin2Dec</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/CalendarFieldFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">CalendarFieldFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Code.html"
                            title="class in org.apache.poi.ss.formula.functions">Code</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Column.html"
                            title="class in org.apache.poi.ss.formula.functions">Column</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Columns.html"
                            title="class in org.apache.poi.ss.formula.functions">Columns</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Countblank.html"
                            title="class in org.apache.poi.ss.formula.functions">Countblank</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Dec2Bin.html"
                            title="class in org.apache.poi.ss.formula.functions">Dec2Bin</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Dec2Hex.html"
                            title="class in org.apache.poi.ss.formula.functions">Dec2Hex</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Errortype.html"
                            title="class in org.apache.poi.ss.formula.functions">Errortype</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Even.html"
                            title="class in org.apache.poi.ss.formula.functions">Even</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/FactDouble.html"
                            title="class in org.apache.poi.ss.formula.functions">FactDouble</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed1ArgFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed1ArgFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Hex2Dec.html"
                            title="class in org.apache.poi.ss.formula.functions">Hex2Dec</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Hyperlink.html"
                            title="class in org.apache.poi.ss.formula.functions">Hyperlink</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Imaginary.html"
                            title="class in org.apache.poi.ss.formula.functions">Imaginary</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/ImReal.html"
                            title="class in org.apache.poi.ss.formula.functions">ImReal</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/LogicalFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">LogicalFunction</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.OneArrayArg.html"
                            title="class in org.apache.poi.ss.formula.functions">MatrixFunction.OneArrayArg</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.OneArg.html"
                            title="class in org.apache.poi.ss.formula.functions">NumericFunction.OneArg</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Oct2Dec.html"
                            title="class in org.apache.poi.ss.formula.functions">Oct2Dec</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Odd.html"
                            title="class in org.apache.poi.ss.formula.functions">Odd</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/PercentEval.html"
                            title="class in org.apache.poi.ss.formula.eval">PercentEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/RowFunc.html"
                            title="class in org.apache.poi.ss.formula.functions">RowFunc</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Rows.html"
                            title="class in org.apache.poi.ss.formula.functions">Rows</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/T.html"
                            title="class in org.apache.poi.ss.formula.functions">T</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/UnaryMinusEval.html"
                            title="class in org.apache.poi.ss.formula.eval">UnaryMinusEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/UnaryPlusEval.html"
                            title="class in org.apache.poi.ss.formula.eval">UnaryPlusEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Value.html"
                            title="class in org.apache.poi.ss.formula.functions">Value</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">Function1Arg</span>
extends <a href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
           title="interface in org.apache.poi.ss.formula.functions">Function</a></pre>
                <div class="block">Implemented by all functions that can be called with one argument</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Josh Micich</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function1Arg.html#evaluate-int-int-org.apache.poi.ss.formula.eval.ValueEval-">evaluate</a></span>(int&nbsp;srcRowIndex,
                                    int&nbsp;srcColumnIndex,
                                    <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                       title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg0)</code>
                                    <div class="block">see <a
                                            href="../../../../../../org/apache/poi/ss/formula/functions/Function.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-"><code>Function.evaluate(ValueEval[],
                                        int, int)</code></a></div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.functions.Function">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.formula.functions.<a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                        title="interface in org.apache.poi.ss.formula.functions">Function</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-">evaluate</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="evaluate-int-int-org.apache.poi.ss.formula.eval.ValueEval-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>evaluate</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;evaluate(int&nbsp;srcRowIndex,
                   int&nbsp;srcColumnIndex,
                   <a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                      title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg0)</pre>
                                <div class="block">see <a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-"><code>Function.evaluate(ValueEval[],
                                    int, int)</code></a></div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Function1Arg.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Function0Arg.html"
               title="interface in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Function2Arg.html"
               title="interface in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/Function1Arg.html" target="_top">Frames</a>
        </li>
        <li><a href="Function1Arg.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
